import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface SessionAttributes {
  session_id: string;
  user_id: string;
  expires: Date;
}

class Session extends Model<SessionAttributes> implements SessionAttributes {
  declare session_id: string;
  declare user_id: string;
  declare expires: Date;
}

Session.init(
  {
    // Model attributes are defined here
    session_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    user_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    expires: {
      type: DataTypes.DATE,
      allowNull: false,
    },
  },
  {
    tableName: "sessions",
    sequelize, // passing the `sequelize` instance is required
  }
);

export default Session;
