import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface StoreServiceAttributes {
  service_id: string;
  store_id: string;
  name: string;
}

class StoreService
  extends Model<StoreServiceAttributes>
  implements StoreServiceAttributes
{
  declare service_id: string;
  declare store_id: string;
  declare name: string;
}

StoreService.init(
  {
    // Model attributes are defined here
    service_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    store_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
  },
  {
    tableName: "store_services",
    sequelize, // passing the `sequelize` instance is required
  }
);

export default StoreService;
