import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface StoreServiceActivityUsersAttributes {
  activity_id: string;
  user_id: string;
}

class StoreServiceActivityUsers
  extends Model<StoreServiceActivityUsersAttributes>
  implements StoreServiceActivityUsersAttributes
{
  declare activity_id: string;
  declare user_id: string;
}

StoreServiceActivityUsers.init(
  {
    // Model attributes are defined here
    activity_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
    user_id: {
      primaryKey: true,
      type: DataTypes.STRING,
      allowNull: false,
    },
  },
  {
    tableName: "store_service_activity_users",
    sequelize, // passing the `sequelize` instance is required
  }
);

export default StoreServiceActivityUsers;
