import express from "express";
const router = express.Router();

import * as storeServicesController from "../controllers/storeServicesController";

router.get("/:storeId", storeServicesController.GetStoreServices);
router.post("/", storeServicesController.CreateStoreService);
router.post("/update", storeServicesController.UpdateStoreService);
router.post("/activity", storeServicesController.CreateStoreServiceActivity);
router.get(
  "/activities/:storeId/:serviceId",
  storeServicesController.GetStoreServiceActivities
);
router.post(
  "/activity/update",
  storeServicesController.UpdateStoreServiceActivity
);
router.delete(
  "/activity/:activityId",
  storeServicesController.DeleteStoreServiceActivity
);
router.delete("/:serviceId", storeServicesController.DeleteStoreService);

export default router;
