import express from "express";
const router = express.Router();

import * as userController from "../controllers/userController";
import { sessionProtection } from "../middleware/authMiddleware";

router.post("/auth/signup", userController.SignUp);
router.post("/auth/login", userController.Login);
router.delete("/auth/logout", sessionProtection, userController.Logout);
router.get("/", sessionProtection, userController.GetUser);
router.post("/auth/check/accountname", userController.IsAccountNameAvailable);

export default router;
